Package org.bukkit.material

# Class FlowerPot

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.FlowerPot

All Implemented Interfaces:
  `Cloneable`

@Deprecated public class FlowerPot extends MaterialData
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents a flower pot.

## Constructor Summary

Constructors
Constructor
Description
`FlowerPot()`
Deprecated.
Default constructor for a flower pot.
`FlowerPot(Material type)`
Deprecated.
`FlowerPot(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`FlowerPot`
`clone()`
Deprecated.
`MaterialData`
`getContents()`
Deprecated.
Get the material in the flower pot
`void`
`setContents(MaterialData materialData)`
Deprecated.
Set the contents of the flower pot
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FlowerPot

public FlowerPot()
Deprecated.
Default constructor for a flower pot.

### FlowerPot

public FlowerPot(Material type)
Deprecated.

### FlowerPot

@Deprecated public FlowerPot(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### getContents

public MaterialData getContents()
Deprecated.
Get the material in the flower pot

Returns:
  material MaterialData for the block currently in the flower pot or null if empty

### setContents

public void setContents(MaterialData materialData)
Deprecated.
Set the contents of the flower pot

Parameters:
  `materialData` - MaterialData of the block to put in the flower pot.

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `MaterialData`

### clone

public FlowerPot clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`